## python-mobility 4.7.5-maemo1

=== QtBearer/Makefile ===
TARGET = QtBearer.so
OFILES = sipQtBearercmodule.o sipQtBearerQList0100QNetworkConfiguration.o sipQtBearerQNetworkSession.o sipQtBearerQNetworkConfigurationStateFlags.o sipQtBearerQNetworkConfiguration.o sipQtBearerQNetworkConfigurationManagerCapabilities.o sipQtBearerQNetworkConfigurationManager.o
HFILES = sipAPIQtBearer.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_NETWORK_LIB -I. -I/usr/include -I/usr/include/QtBearer -I/usr/include/python2.5 -I/usr/share/qt4/mkspecs/default -I/usr/include/QtCore -I/usr/include/QtNetwork
CFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
CXXFLAGS = -pipe -fPIC -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT
LFLAGS = -Wl,-rpath-link,/usr/lib -shared -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -Wl,--version-script=QtBearer.exp
LIBS = -L/usr/lib -lQtBearer -lQtCore -L/usr/lib -lpthread -lQtNetwork -L/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtCore -lpthread -lpthread
MOC = /usr/bin/moc
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initQtBearer; local: *; };' > QtBearer.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/QtMobility || mkdir -p $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/QtMobility
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/QtMobility/$(TARGET)
	strip $(DESTDIR)/usr/lib/python2.5/site-packages/PyQt4/QtMobility/$(TARGET)
	@test -d $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer || mkdir -p $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer
	cp -f ../sip/QtBearer/QtBearermod.sip $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer/QtBearermod.sip
	cp -f ../sip/QtBearer/qnetworksession.sip $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer/qnetworksession.sip
	cp -f ../sip/QtBearer/qnetworkconfigmanager.sip $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer/qnetworkconfigmanager.sip
	cp -f ../sip/QtBearer/qnetworkconfiguration.sip $(DESTDIR)/usr/share/sip/PyQt4/QtMobility/QtBearer/qnetworkconfiguration.sip

clean:
	-rm -f $(TARGET)
	-rm -f sipQtBearercmodule.o
	-rm -f sipQtBearerQList0100QNetworkConfiguration.o
	-rm -f sipQtBearerQNetworkSession.o
	-rm -f sipQtBearerQNetworkConfigurationStateFlags.o
	-rm -f sipQtBearerQNetworkConfiguration.o
	-rm -f sipQtBearerQNetworkConfigurationManagerCapabilities.o
	-rm -f sipQtBearerQNetworkConfigurationManager.o
	-rm -f QtBearer.exp

=== debian/changelog ===
python-mobility (4.7.5-maemo1) unstable; urgency=low

  * Sync with upstream's 0.1

 -- Attila Csipa <maemo@csipa.in.rs>  Mon, 23 Aug 2010 12:12:12 +0100

=== debian/control ===
Source: python-mobility
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), dpatch, libqt4-dev (>= 4.6), libqtm-dev (>= 1.0.2), libqtm-sensors (>= 1.0.2), sip4 (>= 4.11),  python2.5-sip4 (>= 4.11),  python2.5-qt4-dev (>= 4.7.5-maemo1),  python2.5-dev (>= 2.5.1), libdbus-1-dev (>= 1.0.2), libxext-dev, zlib1g-dev, libexpat1-dev, python2.5 (>= 2.5.4-1maemo5), python2.5-qt4 (>= 4.7.5-maemo1)
Standards-Version: 3.7.2
Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-qt4/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-qt4/trunk/
Section: libs

Package: python2.5-mobility-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11)
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-bearer
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-contacts
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-location
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-messaging
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-multimedia
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-publishsubscribe
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-sensors
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-serviceframework
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-systeminfo
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

Package: python2.5-mobility-versit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, python2.5-sip4 (>= 4.11), python2.5 (>= 2.5.4-1maemo5), python2.5-qt4-core (>= 4.7.5), python2.5-mobility-common
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=785&atid=2940
Description: Shared files for PyQt4
 This package contains files that are shared between python-qt4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


PYVER=2.5
PYTHON=python$(PYVER)

CFLAGS = -Wall -g


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include /usr/share/dpatch/dpatch.make

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	# Remove the # below to build only QtGui and QtCore
	#python2.5 configure.py -w --confirm-license # -e QtGui -e QtCore
	#python2.5 configure.py -w --confirm-license --no-designer-plugin --no-docstrings -q /opt/qt4-maemo5/bin/qmake LIBS_OPENGL="-lGLESv2 -lEGL"
	
	if  [ $(DEB_BUILD_ARCH) == armel  ] ; then  \
	python2.5 configure.py --no-docstrings ; \
	else  \
	python2.5 configure.py ; \
	fi
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -j 2

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	#cp -rav maemo debian/tmp/
	#cp -rav doc debian/tmp/
	#cp -rav examples debian/tmp/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
#	dh_installdocs -X.svn
#	dh_installexamples -X.svn
	dh_install --source=debian/tmp -v --list-missing
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.py
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
